#!/bin/bash

# 生成soar安装包过程

set -e

CURRENT_PATH=$(dirname "$(readlink -f "$0")")
cd $CURRENT_PATH
pwd
# 修改main里的编码格式避免运行出错
dos2unix main.py
dos2unix plugin.yaml

make tarball
# 镜像名称
imageName="tmp-plugin.tar"

vendor=$(cat ./plugin.yaml | grep ^author | awk '{print $2}')
name=$(cat ./plugin.yaml | grep ^name | awk '{print $2}')
version=$(cat ./plugin.yaml | grep ^version | awk '{print $2}')

# 生成安装包
if [ -z $(find ./ -name "$vendor"-"$name"-"$version"-plugin.tar.gz | head -1) ]; then
  file=$(ls *.tar.gz | head -1)
  echo $file
  docker build -t $vendor/$name:$version .
  docker save -o "$imageName" $vendor/$name:$version
  tar -cvzf ./"$vendor"-"$name"-"$version"-plugin.tar.gz "$imageName" plugin.yaml icon.png help.md
  # 删除镜像文件
  rm -f "$imageName"
  cd ../
fi

echo "Done."
